Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.message
Class AbstractMessageFactory

    java.lang.Object
      org.apache.logging.log4j.message.AbstractMessageFactory

All Implemented Interfaces:
  Serializable, MessageFactory

Direct Known Subclasses:
  FormattedMessageFactory, LocalizedMessageFactory, MessageFormatMessageFactory, ParameterizedMessageFactory, StringFormatterMessageFactory

    public abstract class AbstractMessageFactory

extends Object
implements MessageFactory, Serializable

Provides an abstract superclass for MessageFactory implementations with default implementations.

This class is immutable.

See Also:
  Serialized Form

Constructor Summary
`AbstractMessageFactory()`

Method Summary
`Message` | `newMessage(Object message)` Creates a new message based on an Object.
`Message` | `newMessage(String message)` Creates a new message based on a String.
`abstract Message` | `newMessage(String message, Object... params)` Creates a new parameterized message.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractMessageFactory

    public AbstractMessageFactory()

Method Detail

### newMessage

    public Message newMessage(Object message)

  Description copied from interface: `MessageFactory`
  Creates a new message based on an Object.

  Specified by:
    `newMessage` in interface `MessageFactory`
  Parameters:
    `message` - a message object
  Returns:
    a new message

### newMessage

    public Message newMessage(String message)

  Description copied from interface: `MessageFactory`
  Creates a new message based on a String.

  Specified by:
    `newMessage` in interface `MessageFactory`
  Parameters:
    `message` - a message String
  Returns:
    a new message

### newMessage

    public abstract Message newMessage(String message,
                                       Object... params)

  Description copied from interface: `MessageFactory`
  Creates a new parameterized message.

  Specified by:
    `newMessage` in interface `MessageFactory`
  Parameters:
    `message` - a message template, the kind of message template depends on the implementation.
    `params` - the message parameters
  Returns:
    a new message
  See Also:
    `ParameterizedMessageFactory`, `StringFormatterMessageFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.